{% extends 'base.html' %}

{% block title %}
    List View
{% endblock title %}

{% block content %}
    <main>
        <div>
            <h1>My Projects</h1>
            <p>
                <a href="{% url 'create_project' %}">Create a new project</a>
            </p>
            {% if proj_list|length == 0 %}
                <p>You are not assigned to any projects</p> 
            {% else %}
                <table>
                    <thead>
                        <tr>
                            <th>Name</th>
                            <th>Number of tasks</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for list in proj_list %}
                            <tr>
                                <td>
                                    <a href="{% url 'show_project' list.id %}">{{ list.name }}</a>
                                </td>
                                <td>{{ list.tasks.all|length }}</td>
                            </tr>
                        {% endfor %}
                    </tbody>
                </table>
            {% endif %}
        </div>
    </main>
{% endblock content %}